Assets - Content Links
Use this API to retrieve links for Asset original content file and asset conversions. You can use this API to get a content link that can be presented as a downloadable link in a web page or an app.
For displaying images and videos, instead of /get_link API, we suggest you use the On-demand Image Transformations and Video Streaming delivered by FileSpin CDN.
Link types:
cdn— Served via FileSpin CDN, cached at edge locations. Best for distributing files globally. FileSpin pre-fetches these links for quick delivery. There may be a few seconds delay before the file is cached. MAX expiry is 19 January 2038.object_storage— Served directly from Object Storage. Best for one-time file access. MAX expiry is 7 days (604800 seconds).
Delivery modes:
display— Returns a link suitable for embedding/displaying in a browserdownload— Returns a link that triggers a file download when clicked (default)
Notes:
- For POST request, the maximum number of asset IDs that can be sent is 100
- Use the special expiry value
MAXto set expiry to the maximum possible for the chosenlink_type
📄️ Get Link (Single Asset)
Get a content link for a single asset. The returned URL can be used to display or download the asset's original file or any of its conversions. This is the recommended way to download an asset's file in server code, instead of the throttled [Download](/api-reference/assets/download-get) endpoint. See [Downloading Assets Programmatically](/guides/downloading-assets).
📄️ Get Link (Multiple Assets)
Get content links for multiple assets in a single request. Pass asset IDs in the request body as a JSON array (maximum 100 IDs).